      SUBROUTINE Y_WINDOW(LUS,X1,X2,Y1,Y2      )
C
C----------------------------------------------------------------------
C.IDENTIFICATION: Subroutine Y_WINDOW
C.LIBRARY:        GRAPHSERV
C.AUTHOR:         L.Chiappetti - IFCTR Milano
C.VERSIONS:       0.0 - 25 Jun 93 - Prototype
C.                0.0a- 19 Jul 94 - using stream I/O (ddf)
C.                0.1 - 17 Aug 94 - officialized + common clientside.inc
C.PURPOSE:        send opcode to set up window (using current viewport)       
C.SYNTAX:         CALL Y_WINDOW(x1,xw,y1,y2)
C.PARAMETERS:     REAL x1,x2,y1,y2  window corners in world coordinates
C----------------------------------------------------------------------
C                                               
      INTEGER LUS(2)
      REAL X1,X2,Y1,Y2
      INTEGER I2,IERR
      INCLUDE 'clientside.inc'
      OPCODE=102
*     WRITE(LUS(1),IOSTAT=IERR)OPCODE,X1,X2,Y1,Y2   
      RARGS(1)=X1
      RARGS(2)=X2
      RARGS(3)=Y1
      RARGS(4)=Y2   
      CALL Z_WRITE_STREAM(LUS(1),IBUF,20)
C-->  provisional, also implicitly set coordinates to WORLD 
C-->  is this composite behaviour desirable ?       
      OPCODE=103
      I2=2
*     WRITE(LUS(1),IOSTAT=IERR)OPCODE,I2            
      IBUF(2)=I2
      CALL Z_WRITE_STREAM(LUS(1),IBUF,8)            
      RETURN
      END
